#include <stdio.h>
#include <stdlib.h>

int a[200000];

void sortiranjec(int n,int a[],int s){
    int frekvencija[10]={},i;
    for(i=0;i<n;i++){
        (frekvencija[(((a[i])/s)%10)])++;
    }
    for(i=1;i<10;i++){
        frekvencija[i]+=frekvencija[i-1];
    }
    int pomocni[n];
    for(i=n-1;i>=0;i--){
        pomocni[(--(frekvencija[(((a[i])/s)%10)]))]=a[i];
    }
    for(i=0;i<n;i++){
        a[i]=pomocni[i];
    }
}

void sortiranje(int n,int a[]){
    int max=a[0],i,s;
    for(i=0;i<n;i++){
        if(a[i]>max){
            max=a[i];
        }
    }
    for(s=1;max/s>0;s*=10){
        sortiranjec(n,a,s);
    }
}

int veceodx(int n,int a[],int x){
    int l=0,d=n,s;

    while(l<d){
        s=l/2+d/2;
        if(a[s]<x){
            l=s+1;
        }
        else{
            d=s;
        }
    }
    return l;
}

int main()
{
    int n,q,b,p;
    scanf("%d%d",&n,&q);
    for(int i=0;i<n;i++){
        scanf("%d",&a[i]);
    }
    sortiranje(n,a);
    for(int i=0;i<q;i++){
        scanf("%d",&b);
        p=veceodx(n,a,b);
        if(p>n/2){
            printf("%d\n",2*p-n);
        }
        else if(p==n/2 && a[p]==b){
            printf("0\n");
        }
        else{
            while(p+1<n && a[p+1]==b){
                p++;
            }
            if(p>=n/2 && a[p]==b){
                printf("0\n");
            }
            else{
                printf("%d\n",n-2*p-1);
            }
        }
    }
    return 0;
}